Index: /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Design_MainEdit extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Design_MainEdit extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'design/main_edit.tpl';
@@ -61,6 +59,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -72,6 +69,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objLayout = new SC_Helper_PageLayout_Ex();
@@ -145,6 +141,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -158,6 +153,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('ページID', 'page_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('端末種別ID', 'device_type_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -178,6 +172,5 @@
      * @return array ページデータの配列
      */
-    function getTplMainpage($device_type_id, $page_id, &$objLayout)
-    {
+    function getTplMainpage($device_type_id, $page_id, &$objLayout) {
         $arrPageData = $objLayout->getPageProperties($device_type_id, $page_id);
 
@@ -203,6 +196,5 @@
      *                         失敗した場合 false
      */
-    function doRegister(&$objFormParam, &$objLayout)
-    {
+    function doRegister(&$objFormParam, &$objLayout) {
         $filename = $objFormParam->getValue('filename');
         $arrParams['device_type_id'] = $objFormParam->getValue('device_type_id');
@@ -259,6 +251,5 @@
      * @return integer ページID
      */
-    function registerPage($arrParams, &$objLayout)
-    {
+    function registerPage($arrParams, &$objLayout) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -304,6 +295,5 @@
      * @return array エラーメッセージの配列
      */
-    function lfCheckError(&$objFormParam, &$arrErr)
-    {
+    function lfCheckError(&$objFormParam, &$arrErr) {
         $arrParams = $objFormParam->getHashArray();
         $objErr = new SC_CheckError_Ex($arrParams);
@@ -354,6 +344,5 @@
      * @return boolean 作成に成功した場合 true
      */
-    function createPHPFile($filename)
-    {
+    function createPHPFile($filename) {
         $path = USER_REALDIR . $filename . '.php';
 
Index: /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 22796)
@@ -31,6 +31,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Design_Template extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Design_Template extends LC_Page_Admin_Ex {
 
     // }}}
@@ -42,6 +41,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'design/template.tpl';
@@ -62,6 +60,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -73,6 +70,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objFormParam = new SC_FormParam_Ex();
@@ -142,6 +138,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -153,6 +148,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('端末種別ID', 'device_type_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('template_code', 'template_code', STEXT_LEN, 'a', array('EXIST_CHECK', 'SPTAB_CHECK','MAX_LENGTH_CHECK', 'ALNUM_CHECK'));
@@ -168,6 +162,5 @@
      * @return void
      */
-    function doUpdateMasterData($template_code, $device_type_id)
-    {
+    function doUpdateMasterData($template_code, $device_type_id) {
         $masterData = new SC_DB_MasterData_Ex();
 
@@ -204,6 +197,5 @@
      * @return void
      */
-    function updateBloc($filepath)
-    {
+    function updateBloc($filepath) {
         $sql = file_get_contents($filepath);
         if ($sql !== false) {
@@ -227,6 +219,5 @@
      * @return boolean 成功した場合 true; 失敗した場合 false
      */
-    function doDelete($template_code, $device_type_id)
-    {
+    function doDelete($template_code, $device_type_id) {
         if ($template_code == $this->getTemplateName($device_type_id)
                 || $template_code == $this->getTemplateName($device_type_id, true)) {
@@ -276,6 +267,5 @@
      * @return boolean 成功した場合 true; 失敗した場合 false
      */
-    function doRegister($template_code, $device_type_id)
-    {
+    function doRegister($template_code, $device_type_id) {
 
         $tpl_dir = USER_TEMPLATE_REALDIR . $template_code . '/';
@@ -307,6 +297,5 @@
      * @return boolean 成功した場合 true; 失敗した場合 false
      */
-    function doDownload($template_code)
-    {
+    function doDownload($template_code) {
         $from_dir = USER_TEMPLATE_REALDIR . $template_code . '/';
         $to_dir = SMARTY_TEMPLATES_REALDIR . $template_code . '/_packages/';
@@ -329,6 +318,5 @@
      * @return array テンプレート情報の配列
      */
-    function getAllTemplates($device_type_id)
-    {
+    function getAllTemplates($device_type_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         return $objQuery->select('*', 'dtb_templates', 'device_type_id = ?', array($device_type_id));
@@ -342,6 +330,5 @@
      * @return string テンプレート名
      */
-    function getTemplateName($device_type_id, $isDefault = false)
-    {
+    function getTemplateName($device_type_id, $isDefault = false) {
         switch ($device_type_id) {
             case DEVICE_TYPE_MOBILE:
Index: /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_UpDown.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_UpDown.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_UpDown.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Design_UpDown extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Design_UpDown extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'design/up_down.tpl';
@@ -63,6 +61,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -76,6 +73,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objFormParam = new SC_FormParam_Ex();
@@ -114,6 +110,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -125,6 +120,5 @@
      * @return object SC_UploadFileのインスタンス
      */
-    function lfInitUploadFile($objForm)
-    {
+    function lfInitUploadFile($objForm) {
         $pkg_dir = SMARTY_TEMPLATES_REALDIR . $objForm->getValue('template_code');
         $objUpFile = new SC_UploadFile_Ex(TEMPLATE_TEMP_REALDIR, $pkg_dir);
@@ -139,6 +133,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('テンプレートコード', 'template_code', STEXT_LEN, 'a', array('EXIST_CHECK', 'SPTAB_CHECK','MAX_LENGTH_CHECK', 'ALNUM_CHECK'));
         $objFormParam->addParam('テンプレート名', 'template_name', STEXT_LEN, 'KVa', array('EXIST_CHECK', 'SPTAB_CHECK','MAX_LENGTH_CHECK'));
@@ -153,6 +146,5 @@
      * @return array エラー情報を格納した連想配列, エラーが無ければ(多分)nullを返す
      */
-    function lfCheckError(&$objFormParam, &$objUpFile)
-    {
+    function lfCheckError(&$objFormParam, &$objUpFile) {
         $arrErr = $objFormParam->checkError();
         $template_code = $objFormParam->getValue('template_code');
@@ -205,6 +197,5 @@
      * @return boolean 成功した場合 true; 失敗した場合 false
      */
-    function doUpload($objFormParam, $objUpFile)
-    {
+    function doUpload($objFormParam, $objUpFile) {
         $template_code = $objFormParam->getValue('template_code');
         $template_name = $objFormParam->getValue('template_name');
Index: /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 22610)
+++ /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Design_Bloc extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Design_Bloc extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'design/bloc.tpl';
@@ -62,6 +60,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -73,6 +70,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objFormParam = new SC_FormParam_Ex();
@@ -86,5 +82,4 @@
         $this->device_type_id = $objFormParam->getValue('device_type_id', DEVICE_TYPE_PC);
 
-        $objBloc = new SC_Helper_Bloc_Ex($this->device_type_id);
         $objLayout = new SC_Helper_PageLayout_Ex();
 
@@ -93,7 +88,7 @@
             case 'confirm':
                 if (!$is_error) {
-                    $this->arrErr = $this->lfCheckError($objFormParam, $this->arrErr, $objBloc);
+                    $this->arrErr = $this->lfCheckError($objFormParam, $this->arrErr, $objLayout);
                     if (SC_Utils_Ex::isBlank($this->arrErr)) {
-                        $result = $this->doRegister($objFormParam, $objBloc);
+                        $result = $this->doRegister($objFormParam, $objLayout);
                         if ($result !== false) {
                             $arrPram = array(
@@ -113,5 +108,5 @@
             case 'delete':
                 if (!$is_error) {
-                    if ($this->doDelete($objFormParam, $objBloc)) {
+                    if ($this->doDelete($objFormParam, $objLayout)) {
                         $arrPram = array(
                             'device_type_id' => $this->device_type_id,
@@ -135,8 +130,8 @@
         if (!$is_error) {
             // ブロック一覧を取得
-            $this->arrBlocList = $objBloc->getList();
+            $this->arrBlocList = $objLayout->getBlocs($this->device_type_id);
             // bloc_id が指定されている場合にはブロックデータの取得
             if (!SC_Utils_Ex::isBlank($this->bloc_id)) {
-                $arrBloc = $this->getBlocTemplate($this->bloc_id, $objBloc);
+                $arrBloc = $this->getBlocTemplate($this->device_type_id, $this->bloc_id, $objLayout);
                 $objFormParam->setParam($arrBloc);
             }
@@ -155,6 +150,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -166,6 +160,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('ブロックID', 'bloc_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('端末種別ID', 'device_type_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -178,12 +171,20 @@
      * ブロックのテンプレートを取得する.
      *
+     * @param integer $device_type_id 端末種別ID
      * @param integer $bloc_id ブロックID
-     * @param SC_Helper_Bloc_Ex $objBloc SC_Helper_Bloc_Ex インスタンス
+     * @param SC_Helper_PageLayout $objLayout SC_Helper_PageLayout インスタンス
      * @return array ブロック情報の配列
      */
-    function getBlocTemplate($bloc_id, SC_Helper_Bloc_Ex &$objBloc)
-    {
-        $arrBloc = $objBloc->get($bloc_id);
-        return $arrBloc;
+    function getBlocTemplate($device_type_id, $bloc_id, &$objLayout) {
+        $arrBloc = $objLayout->getBlocs($device_type_id, 'bloc_id = ?', array($bloc_id));
+        if (SC_Utils_Ex::isAbsoluteRealPath($arrBloc[0]['tpl_path'])) {
+            $tpl_path = $arrBloc[0]['tpl_path'];
+        } else {
+            $tpl_path = SC_Helper_PageLayout_Ex::getTemplatePath($device_type_id) . BLOC_DIR . $arrBloc[0]['tpl_path'];
+        }
+        if (file_exists($tpl_path)) {
+            $arrBloc[0]['bloc_html'] = file_get_contents($tpl_path);
+        }
+        return $arrBloc[0];
     }
 
@@ -195,18 +196,56 @@
      *
      * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @param SC_Helper_Bloc $objBloc SC_Helper_Bloc インスタンス
+     * @param SC_Helper_PageLayout $objLayout SC_Helper_PageLayout インスタンス
      * @return integer|boolean 登録が成功した場合, 登録したブロックID;
      *                         失敗した場合 false
      */
-    function doRegister(&$objFormParam, SC_Helper_Bloc_Ex &$objBloc)
-    {
+    function doRegister(&$objFormParam, &$objLayout) {
         $arrParams = $objFormParam->getHashArray();
-        $result = $objBloc->save($arrParams);
-
-        if (!$result) {
+
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $objQuery->begin();
+
+        // blod_id が空の場合は新規登録
+        $is_new = SC_Utils_Ex::isBlank($arrParams['bloc_id']);
+        $bloc_dir = $objLayout->getTemplatePath($arrParams['device_type_id']) . BLOC_DIR;
+        // 既存データの重複チェック
+        if (!$is_new) {
+            $arrExists = $objLayout->getBlocs($arrParams['device_type_id'], 'bloc_id = ?', array($arrParams['bloc_id']));
+
+            // 既存のファイルが存在する場合は削除しておく
+            $exists_file = $bloc_dir . $arrExists[0]['filename'] . '.tpl';
+            if (file_exists($exists_file)) {
+                unlink($exists_file);
+            }
+        }
+
+        $table = 'dtb_bloc';
+        $arrValues = $objQuery->extractOnlyColsOf($table, $arrParams);
+        $arrValues['tpl_path'] = $arrParams['filename'] . '.tpl';
+        $arrValues['update_date'] = 'CURRENT_TIMESTAMP';
+
+        // 新規登録
+        if ($is_new || SC_Utils_Ex::isBlank($arrExists)) {
+            $objQuery->setOrder('');
+            $arrValues['bloc_id'] = 1 + $objQuery->max('bloc_id', $table, 'device_type_id = ?',
+                                                       array($arrValues['device_type_id']));
+            $arrValues['create_date'] = 'CURRENT_TIMESTAMP';
+            $objQuery->insert($table, $arrValues);
+        }
+        // 更新
+        else {
+            $objQuery->update($table, $arrValues, 'bloc_id = ? AND device_type_id = ?',
+                              array($arrValues['bloc_id'], $arrValues['device_type_id']));
+        }
+
+        $bloc_path = $bloc_dir . $arrValues['tpl_path'];
+        if (!SC_Helper_FileManager_Ex::sfWriteFile($bloc_path, $arrParams['bloc_html'])) {
             $this->arrErr['err'] = '※ ブロックの書き込みに失敗しました<br />';
-        }
-
-        return $result;
+            $objQuery->rollback();
+            return false;
+        }
+
+        $objQuery->commit();
+        return $arrValues['bloc_id'];
     }
 
@@ -215,17 +254,41 @@
      *
      * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @param SC_Helper_Bloc $objBloc SC_Helper_Bloc インスタンス
+     * @param SC_Helper_PageLayout $objLayout SC_Helper_PageLayout インスタンス
      * @return boolean 登録が成功した場合 true; 失敗した場合 false
      */
-    function doDelete(&$objFormParam, SC_Helper_Bloc_Ex &$objBloc)
-    {
+    function doDelete(&$objFormParam, &$objLayout) {
         $arrParams = $objFormParam->getHashArray();
-        $result = $objBloc->delete($arrParams['bloc_id']);
-
-        if (!$result) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $objQuery->begin();
+
+        $arrExists = $objLayout->getBlocs($arrParams['device_type_id'], 'bloc_id = ? AND deletable_flg = 1',
+                                          array($arrParams['bloc_id']));
+        $is_error = false;
+        if (!SC_Utils_Ex::isBlank($arrExists)) {
+            $objQuery->delete('dtb_bloc', 'bloc_id = ? AND device_type_id = ?',
+                              array($arrExists[0]['bloc_id'], $arrExists[0]['device_type_id']));
+            $objQuery->delete('dtb_blocposition', 'bloc_id = ? AND device_type_id = ?',
+                              array($arrExists[0]['bloc_id'], $arrExists[0]['device_type_id']));
+
+            $bloc_dir = $objLayout->getTemplatePath($arrParams['device_type_id']) . BLOC_DIR;
+            $exists_file = $bloc_dir . $arrExists[0]['filename'] . '.tpl';
+
+            // ファイルの削除
+            if (file_exists($exists_file)) {
+                if (!unlink($exists_file)) {
+                    $is_error = true;
+                }
+            }
+        } else {
+            $is_error = true;
+        }
+
+        if ($is_error) {
             $this->arrErr['err'] = '※ ブロックの削除に失敗しました<br />';
-        }
-
-        return $result;
+            $objQuery->rollback();
+            return false;
+        }
+        $objQuery->commit();
+        return true;
     }
 
@@ -236,6 +299,5 @@
      * @return array エラーメッセージの配列
      */
-    function lfCheckError(&$objFormParam, &$arrErr, SC_Helper_Bloc_Ex &$objBloc)
-    {
+    function lfCheckError(&$objFormParam, &$arrErr, &$objLayout) {
         $arrParams = $objFormParam->getHashArray();
         $objErr = new SC_CheckError_Ex($arrParams);
@@ -252,5 +314,5 @@
             $arrValues[] = $arrParams['bloc_id'];
         }
-        $arrBloc = $objBloc->getWhere($where, $arrValues);
+        $arrBloc = $objLayout->getBlocs($arrParams['device_type_id'], $where, $arrValues);
         if (!SC_Utils_Ex::isBlank($arrBloc)) {
             $objErr->arrErr['filename'] = '※ 同じファイル名のデータが存在しています。別のファイル名を入力してください。<br />';
Index: /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Design extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Design extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'design/index.tpl';
@@ -61,6 +59,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -72,6 +69,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objLayout = new SC_Helper_PageLayout_Ex();
@@ -152,6 +148,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -164,6 +159,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam, $bloc_cnt = 0)
-    {
+    function lfInitParam(&$objFormParam, $bloc_cnt = 0) {
         $objFormParam->addParam('ページID', 'page_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('端末種別ID', 'device_type_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
@@ -187,6 +181,5 @@
      * @return array レイアウト情報の配列
      */
-    function getLayout($device_type_id, $page_id, &$objLayout)
-    {
+    function getLayout($device_type_id, $page_id, &$objLayout) {
         $arrResults = array();
         $i = 0;
@@ -219,6 +212,5 @@
      * @return void
      */
-    function copyBloc(&$arrDest, $arrFrom, $cnt)
-    {
+    function copyBloc(&$arrDest, $arrFrom, $cnt) {
         $arrDest[$cnt]['target_id'] = $this->arrTarget[$arrFrom['target_id']];
         $arrDest[$cnt]['bloc_id'] = $arrFrom['bloc_id'];
@@ -235,6 +227,5 @@
      * @return bool 存在する場合 true
      */
-    function existsBloc($arrBloc, $arrToBlocs)
-    {
+    function existsBloc($arrBloc, $arrToBlocs) {
         foreach ($arrToBlocs as $arrToBloc) {
             if ($arrBloc['bloc_id'] === $arrToBloc['bloc_id']) {
@@ -252,6 +243,5 @@
      * @return string プレビューを行う tpl_mainpage ファイル名
      */
-    function savePreviewData($page_id, &$objLayout)
-    {
+    function savePreviewData($page_id, &$objLayout) {
         $arrPageData = $objLayout->getPageProperties(DEVICE_TYPE_PC, $page_id);
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -268,6 +258,5 @@
      * @return void
      */
-    function placingBlocs(&$objFormParam, $is_preview = false)
-    {
+    function placingBlocs(&$objFormParam, $is_preview = false) {
         $page_id = $is_preview ? 0 : $objFormParam->getValue('page_id');
         $device_type_id = $objFormParam->getValue('device_type_id');
Index: /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_OwnersStore extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_OwnersStore extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'ownersstore/plugin.tpl';
@@ -58,6 +56,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -69,6 +66,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         // パラメーター管理クラス
         $objFormParam = new SC_FormParam_Ex();
@@ -217,6 +213,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -229,6 +224,5 @@
      * @return void
      */
-    function initParam(&$objFormParam, $mode)
-    {
+    function initParam(&$objFormParam, $mode) {
         $objFormParam->addParam('mode', 'mode', INT_LEN, '', array('ALPHA_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('plugin_id', 'plugin_id', INT_LEN, '', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -245,6 +239,5 @@
      * @return void
      */
-    function initUploadFile(&$objUpFile, $key)
-    {
+    function initUploadFile(&$objUpFile, $key) {
         $objUpFile->addFile('プラグインファイル', $key, explode(',', PLUGIN_EXTENSION), FILE_SIZE, true, 0, 0, false);
     }
@@ -257,6 +250,5 @@
      * @return array エラー情報を格納した連想配列.
      */
-    function checkUploadFile($file_key)
-    {
+    function checkUploadFile($file_key) {
         $objErr = new SC_CheckError_Ex();
         // 拡張子チェック
@@ -276,6 +268,5 @@
      * @return boolean インストール済の場合true インストールされていない場合false
      */
-    function isInstalledPlugin($plugin_code)
-    {
+    function isInstalledPlugin($plugin_code) {
         $plugin = SC_Plugin_Util_Ex::getPluginByPluginCode($plugin_code);
         if (!empty($plugin)) {
@@ -294,6 +285,5 @@
      * @return string $plugin_code プラグインコード.
      */
-    function getPluginCode($file_name)
-    {
+    function getPluginCode($file_name) {
         // 分解
         $array_ext = explode('.', $file_name);
@@ -310,6 +300,5 @@
      * @return string $plugin_dir_path プラグイン保存ディレクトリのパス.
      */
-    function getPluginDir($plugin_code)
-    {
+    function getPluginDir($plugin_code) {
         $plugin_dir_path = PLUGIN_UPLOAD_REALDIR . $plugin_code . '/';
         return $plugin_dir_path;
@@ -322,6 +311,5 @@
      * @return string $plugin_dir_path プラグイン保存ディレクトリのパス.
      */
-    function getHtmlPluginDir($plugin_code)
-    {
+    function getHtmlPluginDir($plugin_code) {
         $plugin_html_dir_path = PLUGIN_HTML_REALDIR . $plugin_code . '/';
         return $plugin_html_dir_path;
@@ -335,6 +323,5 @@
      * @return string $plugin_file_path クラスファイルのパス.
      */
-    function getPluginFilePath($plugin_code , $plugin_class)
-    {
+    function getPluginFilePath($plugin_code , $plugin_class) {
         $plugin_file_path = $this->getPluginDir($plugin_code) . $plugin_class . '.php';
         return $plugin_file_path;
@@ -348,6 +335,5 @@
      * @return array エラー情報を格納した連想配列.
      */
-    function installPlugin($archive_file_name, $key)
-    {
+    function installPlugin($archive_file_name, $key) {
         // 一時展開ディレクトリにファイルがある場合は事前に削除.
         $arrFileHash = SC_Helper_FileManager_Ex::sfGetFileList(DOWNLOADS_TEMP_PLUGIN_INSTALL_DIR);
@@ -439,6 +425,5 @@
      * @param string $plugin_html_dir_path プラグイン毎に生成されるhtmlディレクトリのパス.
      */
-    function rollBack($temp_dir, $plugin_id = '', $plugin_html_dir_path ='')
-    {
+    function rollBack($temp_dir, $plugin_id = '', $plugin_html_dir_path ='') {
         // 一時ディレクトリを削除.
         SC_Helper_FileManager_Ex::deleteFile($temp_dir, false);
@@ -459,6 +444,5 @@
      * @return array プラグイン情報の配列
      */
-    function getPluginInfo(ReflectionClass $objReflection)
-    {
+    function getPluginInfo(ReflectionClass $objReflection) {
         $arrStaticProps = $objReflection->getStaticProperties();
         $arrConstants   = $objReflection->getConstants();
@@ -498,6 +482,5 @@
      * @return array エラー情報を格納した連想配列.
      */
-    function checkPluginConstants(ReflectionClass $objReflection, $dir_path)
-    {
+    function checkPluginConstants(ReflectionClass $objReflection, $dir_path) {
         $arrErr = array();
         // プラグイン情報を取得
@@ -568,6 +551,5 @@
      * @return array エラー情報を格納した連想配列.
      */
-    function updatePlugin($target_plugin, $upload_file_name)
-    {
+    function updatePlugin($target_plugin, $upload_file_name) {
         // アップデート前に不要なファイルを消しておきます.
         SC_Helper_FileManager_Ex::deleteFile(DOWNLOADS_TEMP_PLUGIN_UPDATE_DIR, false);
@@ -617,6 +599,5 @@
      * @return array エラー情報を格納した連想配列.
      */
-    function unpackPluginFile($unpack_file_name, $unpack_dir_path, $file_key)
-    {
+    function unpackPluginFile($unpack_file_name, $unpack_dir_path, $file_key) {
         $arrErr = array();
         // 解凍ディレクトリディレクトリを作成し、一時ディレクトリからファイルを移動
@@ -649,6 +630,5 @@
      * @return array エラー情報を格納した連想配列.
      */
-    function uninstallPlugin($plugin)
-    {
+    function uninstallPlugin($plugin) {
         $arrErr = array();
         // プラグインファイルを読み込みます.
@@ -684,6 +664,5 @@
      * @return array $arrErr エラー情報を格納した連想配列.
      */
-    function enablePlugin($plugin)
-    {
+    function enablePlugin($plugin) {
         $arrErr = array();
         // クラスファイルを読み込み.
@@ -710,6 +689,5 @@
      * @return array $arrErr エラー情報を格納した連想配列.
      */
-    function disablePlugin($plugin)
-    {
+    function disablePlugin($plugin) {
         $arrErr = array();
         // クラスファイルを読み込み.
@@ -738,6 +716,5 @@
      * @return integer 更新件数
      */
-    function updatePriority($plugin_id, $priority)
-    {
+    function updatePriority($plugin_id, $priority) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         // UPDATEする値を作成する。
@@ -756,6 +733,5 @@
      * @return array エラー情報を格納した連想配列.
      */
-    function registerData($arrPluginInfo)
-    {
+    function registerData($arrPluginInfo) {
 
         // プラグイン情報をDB登録.
@@ -829,6 +805,5 @@
      * @return array $arrErr エラー情報を格納した連想配列.
      */
-    function requirePluginFile($file_path, $key)
-    {
+    function requirePluginFile($file_path, $key) {
         $arrErr = array();
         if (file_exists($file_path)) {
@@ -849,6 +824,5 @@
      *
      */
-    function execPlugin($obj, $class_name, $exec_func)
-    {
+    function execPlugin($obj, $class_name, $exec_func) {
         $arrErr = array();
         if (method_exists($class_name, $exec_func) === true) {
@@ -869,6 +843,5 @@
      * @return boolean Archive_Tar::extractModify()のエラー
      */
-    function unpackPluginArchive($path)
-    {
+    function unpackPluginArchive($path) {
         // 圧縮フラグTRUEはgzip解凍をおこなう
         $tar = new Archive_Tar($path, true);
@@ -896,6 +869,5 @@
      * @return integer 更新件数
      */
-    function updatePluginEnable($plugin_id, $enable_flg)
-    {
+    function updatePluginEnable($plugin_id, $enable_flg) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         // UPDATEする値を作成する。
@@ -915,6 +887,5 @@
      * @return array $arrErr エラー情報を格納した連想配列.
      */
-    function deletePlugin($plugin_id, $plugin_code)
-    {
+    function deletePlugin($plugin_id, $plugin_code) {
         $arrErr = array();
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -943,6 +914,5 @@
      * @return boolean
      */
-    function isContainsFile($plugin_dir, $file_name)
-    {
+    function isContainsFile($plugin_dir, $file_name) {
         if (file_exists($plugin_dir) && is_dir($plugin_dir)) {
             if ($handle = opendir($plugin_dir)) {
@@ -963,6 +933,5 @@
      * @return boolean
      */
-    function checkContainsFile($tar_obj, $file_path)
-    {
+    function checkContainsFile($tar_obj, $file_path) {
         // ファイル一覧を取得
         $arrayFile = $tar_obj->listContent();
@@ -979,6 +948,5 @@
      * @return void
      */
-    function makeDir($dir_path)
-    {
+    function makeDir($dir_path) {
         // ディレクトリ作成
         if (!file_exists($dir_path)) {
@@ -993,6 +961,5 @@
      * @return string $conflict_alert_message メッセージ
      */
-    function checkConflictPlugin($plugin_id)
-    {
+    function checkConflictPlugin($plugin_id) {
         // フックポイントを取得します.
         $hookPoints = $this->getHookPoint($plugin_id);
@@ -1029,6 +996,5 @@
      * @return boolean.
      */
-    function isError($error)
-    {
+    function isError($error) {
         if (is_array($error) && count($error) > 0) {
             return true;
@@ -1043,6 +1009,5 @@
      * @return array フックポイントの連想配列.
      */
-    function getHookPoint($plugin_id)
-    {
+    function getHookPoint($plugin_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
